gtk-sharp Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object Global API elements for This class contains all the methods which are not directly attributable to a specific type.
- Constructor
  Do not use.
  There are no instance members for this class. This constructor will be marked Obsolete and possibly removed in future versions.
- Method
  System.Boolean `` a To be added a To be added
- Property
  System.UInt32 To be added. To be added. To be added.
- Method
  System.Boolean `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.String `` `` `` a a a Check if a version is compatible with the currently loaded Gtk library. if the version is supported, or an error string describing the mismatch. This is typically only used by modules which want to check if they are compatible with the currently loaded version of Gtk+.
- Property
  Gdk.Event Obtains a copy of the event currently being processed by Gtk#. a For example, if you get a event from , the current event will be the that triggered the signal. If there is no current event, the function returns .
- Property
  Gdk.Device To be added. To be added. To be added.
- Property
  System.UInt32 Returns a representing the unix time of the current event. Returns the unix time for the current event. None.
- Property
  System.UInt32 To be added. To be added. To be added.
- Property
  Pango.Language The current default language for this application. a This value can change during the life of a program, and is based on the current locale. It contains information such as the text direction of the current language.
- Method
  System.Void Disables automatic user locale usage. Only use this if you want to set a specific locale for your program other than the default user locale, or if you want to set different values for different locale categories. Most applications will not need to use this.
- Method
  System.Int32 `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Property
  System.Boolean Checks if any events are pending. a This can be used to update the GUI and invoke timeouts etc. while doing some time intensive computation. `/* computation going on */ ... while (Gtk.Global.EventsPending) { Gtk.Application.RunIteration (); } ... /* computation continued */`
- Method
  System.Boolean `` a to store the state in if one exists. Gets the state field of the current event. if there is a current and it has a state field, otherwise .
- Method
  Gtk.Widget `` a Gets the widget associated with an event. the that originally received , or .
- Property
  System.UInt32 To be added. To be added. To be added.
- Property
  System.UInt32 To be added. To be added. To be added.
- Property
  System.UInt32 To be added. To be added. To be added.
- Property
  System.UInt32 To be added. To be added. To be added.
- Method
  System.Obsolete
  System.Void `` `` `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Boolean `` `` a a To be added a To be added
- Method
  System.Void `` `` to propagate event to. to propagate. Propagate an event from one widget to another. This function should be rarely used, look into event handler overriding instead.
- Method
  System.Void `` `` `` `` `` `` the red component of the color as a the green component of the color as a the blue component of the color as a the resulting hue of the color as a the resulting saturation of the color as a the resulting value of the color as a Converts a Red/Green/Blue color value to a Hue/Saturation/Value color value.
- Method
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Boolean `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.